using System.Collections;
using UnityEngine;

public class EnemyAudioController : MonoBehaviour
{
    [SerializeField]
    private AudioSource audioSource = null;

    [SerializeField]
    private AudioData runAwaySound = null;

    [SerializeField]
    private AudioData cameraSnapSound = null;

    [SerializeField]
    private float runAwayDelayMin = 0.5f;

    [SerializeField]
    private float runAwayDelayMax = 1f;

    public void PlayRunAway()
    {
        if (runAwaySound)
        {
            StartCoroutine(RunAwayHelper());
        }
    }

    private IEnumerator RunAwayHelper()
    {
        // Delay it so sound effects don't overlap as much
        yield return new WaitForSeconds(Random.Range(runAwayDelayMin, runAwayDelayMax));

        runAwaySound.Play(audioSource);
    }

    public void PlayCameraSnap()
    {
        if (cameraSnapSound)
        {
            cameraSnapSound.Play(audioSource);
        }
    }
}
