﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;
using TMPro;

public class GameOverManager : MonoBehaviour
{
    public TextMeshProUGUI scoretext;
    public ScoreTracker tracker;

    public AudioClip newspaperMusic;
    public AudioSource newspaperMusicPlayer;
    
    // Start is called before the first frame update
    void Awake()
    {
        newspaperMusicPlayer.PlayOneShot(newspaperMusic);

        tracker = FindObjectOfType<ScoreTracker>();
        scoretext.text = tracker.score.ToString();
    }
    
    // Update is called once per frame
    void Update()
    {

    }

    void PlaySong(AudioClip newspaperMusic)
    {
        newspaperMusicPlayer.PlayOneShot(newspaperMusic);
    }

    public void RestartGame()
    {
        SceneManager.LoadScene("SampleScene");
    }

    // Exit the game completely
    public void ExitGame()
    {
        Application.Quit();
    }
}
