using System.Collections;
using UnityEngine;

public class PlayerAudioController : MonoBehaviour
{
    [SerializeField]
    private AudioSource audioSource = null;

    [SerializeField]
    private AudioData spookSound = null;

    [SerializeField]
    private AudioData cashSound = null;

    [SerializeField]
    private AudioData dashSound = null;

    [SerializeField]
    float getCurrencyDelayMin = 0.4f;

    [SerializeField]
    float getCurrencyDelayMax = 0.4f;

    public void PlaySpook()
    {
        if (spookSound)
        {
            spookSound.Play(audioSource);
        }
    }

    public void PlayCash()
    {
        if (cashSound)
        {
            StartCoroutine(CashHelper());
        }
    }

    private IEnumerator CashHelper()
    {
        // Delay it so sound effects don't overlap as much
        yield return new WaitForSeconds(Random.Range(getCurrencyDelayMin, getCurrencyDelayMax));

        cashSound.Play(audioSource);
    }

    public void PlayDash()
    {
        if (dashSound)
        {
            dashSound.Play(audioSource);
        }
    }
}
