using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerSpookController : MonoBehaviour
{
    [SerializeField]
    float spookCooldown = 0.5f;

    [SerializeField]
    private PlayerAudioController audioController = null;

    [SerializeField]
    private PlayerScreamLinesAnimationController screamAnimation = null;

    [SerializeField]
    private PlayerCurrencyController currencyController = null;

    List<EnemyMain> enemyList = new List<EnemyMain>();
    float timer = 0;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        timer -= Mathf.Max(Time.deltaTime, 0);
        
        if (Input.GetButtonDown("Spook") && timer <= 0)
        {
            for (int i = 0; i < enemyList.Count; ++i)
            {
                EnemyMain enemy = enemyList[i];
                if (enemy)
                {
                    int currencyEarned = enemy.GetSpooked(transform.position);
                    if (currencyEarned > 0)
                    {
                        currencyController.UpdateCurrency(currencyEarned);
                        audioController.PlayCash();
                    }
                }
            }

            audioController.PlaySpook();
            screamAnimation.Animate();
            timer = spookCooldown;
        }
    }

    private void OnTriggerEnter2D(Collider2D collision)
    {
        EnemyMain enemy = collision.gameObject.GetComponent<EnemyMain>();
        if (enemy)
        {
            enemyList.Add(enemy);
        }
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        EnemyMain enemy = collision.gameObject.GetComponent<EnemyMain>();
        if (enemy)
        {
            enemyList.Remove(enemy);
        }
    }
}
